# Update an external agent

`POST https://testing-backend.estactics.com/api/externalAgents/update`

Changes an external agent. Send only the fields you want to change.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `externalAgents.MANAGE`.

## Body parameters

- `id` (integer, required): ID of the external agent.
- `firstName` (string): First name.
- `lastName` (string): Last name.
- `email` (string): Email address.
- `gender` (MALE | FEMALE): Gender.
- `company` (string): Agency the person works for.
- `country` (string): Country name.
- `city` (string): City.
- `address` (string): Street address.
- `phoneCountryCode` (string): Two-letter country code of the phone number.
- `phoneDialCode` (integer): Dial code without the plus sign.
- `phone` (integer): National phone number, digits only.
- `notes` (string): Notes.
- `externalLinks` (array of values): Links to profiles on other sites.

## Example request body

```json
{
  "id": 9,
  "company": "Your agency"
}
```

## Example response

```json
{
  "success": true,
  "data": {
    "id": 9
  }
}
```
